Home Forums General Installation & other Installation error – Xceed.Installer.Common.WindowsInstallerException: Fatal error during installation. (1603)

Viewing 15 posts - 1 through 15 (of 15 total)
  • Author
    Posts
  • User (Old forums)
    Member
    Post count: 23064
    #43484 |

    I got the following error on the installation.

    Exception stack trace for Xceed ActiveZ Components v6.5.10226.1236

    Xceed.Installer.Common.WindowsInstallerException: Fatal error during installation. (1603)

     

    What does this mean? Does this mean that installation failed?

    Imported from legacy forums. Posted by InterSoft (had 4826 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi,

    Yes, there seems to be an issue with the installer. I will inform the team in charge of the installation packages. To help us pinpoint the source, could you tell us your computer setup (OS, .NET Framework, versions and service packs)? As well as the exact name and build number of the Xceed installer you used? Thank you.

    As a workaround, you can uninstall any previous versions from your system before running the installer. We apologize for the inconvenience.

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 249 views)

    User (Old forums)
    Member
    Post count: 23064

    Hi,

    I downloaded the following file

    Xceed_Ultimate_Suite_v10.3.exe

    from your web-site. The file version is 10.3.10228.1206.

    My machine uses Windows XP Professional Service pack 3.

    I installed the .NET Framework 4.0 right before installing the Xceed control (I restarted my computer before I install the Xceed control)

     

    Imported from legacy forums. Posted by InterSoft (had 919 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi,

    We found the source of the issue. It will be fixed with the next version of the installer.

    There is a conflict if you have a version of Xceed Components that is older than the most recent one (.NET 3.5). Therefore the solution is to either install the most recent version of the Xceed Components for .NET 3.5, or to uninstall the older components, prior to running the .NET 4.0 Ultimate Suite installer. We apologize for the inconvenience.

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 312 views)

    User (Old forums)
    Member
    Post count: 23064

    Hi, I have 2010 v2 installed on my machine already. I need to use this older version for my other project.

    Does this mean I have to uninstall v2 and install v3? 

    When does the next version of the installer come out that fixes this problem?

     

    Imported from legacy forums. Posted by InterSoft (had 533 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi,

    I don’t know what you mean by v2 and v3 of 2010, the Ultimate Suite v10.3 installer is the first that was released for .NET 4.0 / VS2010.

    If you need to use older components as well, then I would recommend that you first install the Xceed Components 4.0.10226.10060, followed by the Ultimate Suite 10.3.10228.12060. If you already uninstalled the DataGrid for WPF that you had on your computer, then install the Xceed DataGrid for WPF 3.7.10226.11110 as the first step.

    All these packages can be found in our Downloads/Updates page:
       http://xceed.com/pages/TopMenu/Downloads/Updates.aspx?Lang=EN-CA

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 292 views)

    User (Old forums)
    Member
    Post count: 23064

    I have the following e-mail from Xceed_Team@xceed.com

     

     

    Good news! Xceed has just released Xceed Ultimate Suite 2010 v2.

    Because you purchased a Vanguard subscription for Xceed Ultimate Suite, you are entitled to free upgrades and new products added to Xceed Ultimate Suite during your subscription. Therefore, we are pleased to provide you with a list of the license keys for the latest versions of all the controls that are part of Xceed Ultimate Suite 2010 v2. Below you will find a table containing your latest license keys for the controls in Xceed Ultimate Suite 2010 v2.

    What’s New with Xceed Ultimate Suite 2010 v2:

    Xceed DataGrid for WPF Professional Edition is updated to v3.7, with various new capabilities such as a continuous insertion mode. The Zip capabilities of Xceed Zip for .NET / .NET CF (updated to v4.2) boast their most exciting performance increase yet: creating and updating zip files can be significantly faster, thanks to a greatly reduced use of temporary files. Finally, a Windows 7 inspired theme and the theme from our Live Explorer datagrid demo app have been added to Xceed Professional Themes for WPF, bringing its total number of themes to seven.

    Please visit the what’s new page for more information.

    Download Xceed Upload for Silverlight v2.2
    Download Xceed Professional Themes for WPF v1.1
    Download Xceed Components 2010 v2
    Download Xceed  DataGrid for WPF Professional Edition v3.7
    Download Xceed Real-time Zip for Silverlight v2.2

    2010 Suite v2 is what I installed previously. Now I’m trying to install v3 and am having this issue.

    Does this mean I need to uninstall everything first? Can you tell me what is not working for me at this stage cause my zip control is not working anymore. I don’t know if I should uninstall everything first.

     

    Christina

    Imported from legacy forums. Posted by InterSoft (had 502 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi Christina,

    Ok, I didn’t realize that’s what the version meant, I apologies.

    The source of the issue comes from having an old Xceed Components on your system. Until a fixed Ultimate Suite installer is available, the way around this is to run the v3 installer of Xceed Components first, which will allow you to then run the v3 installer of the Ultimate Suite without errors.

    Install the following packages in order:
    – Xceed Components 4.0.10226.10060
    – Xceed Ultimate Suite 10.3.10228.12060

    The Ultimate Suite package is the one you already have. To get the Xceed Components package, go to the Downloads/Updates page I linked in my previous post.

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 419 views)

    User (Old forums)
    Member
    Post count: 23064

    Hi,

    Do I need to uninstall anything first?

    When does the new installer come out that fixes this problem?

     

    Imported from legacy forums. Posted by InterSoft (had 437 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi Christina,

    You could uninstall the components yourself, however running the Xceed Components as explained in my previous post will correct the issue for you. Simply run the Xceed Components package first, and then run the Ultimate Suite package.

    The new installer will be available as part of the next service release, which is currently planned for the second week of June.

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 241 views)

    User (Old forums)
    Member
    Post count: 23064

    Hi,

    It worked. Thank you.

     

    Imported from legacy forums. Posted by InterSoft (had 521 views)

    User (Old forums)
    Member
    Post count: 23064

    Hi, I was able to install the component and the suite, however, now my older version of the Xceed controls are not working. (v2)

    Christina

    Imported from legacy forums. Posted by InterSoft (had 558 views)

    Diane [Xceed]
    Moderator
    Post count: 1353

    Hi Christina,

    You should still be able to have projects that use older DLLs. It’s important to put the correct DLLs in your references and use the appropriate license key in your code to unlock them. It’s also important to make sure the License Key is set prior to any call being made to the DLLs. The licensing topic in the documentation of each product explains how to correctly license the component.

    I would need more details in order to help you further. If you have a test project that demonstrates the issue, you can send it to support@xceed.com with “133949” in the title. Thank you.

     

    Imported from legacy forums. Posted by Diane [Xceed] (had 1078 views)

    User (Old forums)
    Member
    Post count: 23064

    [quote user=”Diane [Xceed]”]

    The new installer will be available as part of the next service release, which is currently planned for the second week of June.

    [/quote]

    This error still occurs with the updates from June 11th (v10.3.10308.14350). “A network error occurred while attempting to read from the file C:\Users\[me]\AppData\Local\Temp\nsqEC3D.tmp\{4463AB45-9516-41FE-B757-D64A85A6A4CC}.msi” -> Fatal error during installation. (1603)

    The “contact Technical Support” link doesn’t work – “An error occurred while trying to send the email”.

    I’m getting sick and tired of having to uninstall every single Xceed component every time there’s an update! Surely it can’t be that hard to write an installer which will upgrade an existing installation? [:@]

    Imported from legacy forums. Posted by Richard (had 1224 views)

    Xceed Support
    Member
    Post count: 5658

    Hi,

    Please download and install the folowing installer:

    http://www.download3.xceedsoft.com/support/Xceed_Ultimate_Suite_v10.3.10314.1509.exe

     

    Imported from legacy forums. Posted by Alain [Xceed] (had 5254 views)

Viewing 15 posts - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.